'use strict';

const base64 = require('../base64');
const fs = require('fs');

const string = fs.readFileSync(`${__dirname}/base64.txt`).toString().trim();

for (let i = 1; i <= 10; ++i) {
  let label = `decodeBase64: ${i}`;
  console.time(label);
  for (let j = 0; j <= 10; ++j) {
    base64.decode(string);
  }
  console.timeEnd(label);
}
